package ejb;

import javax.ejb.Stateless;

/**
 * Bean to deploy into different server to be invoked remotely by SFSB in first server.
 */
@Stateless(mappedName = "SessionBBean")
public class SessionBBean implements SessionBRemote {

    public void call(int id) {
        System.out.println(id + ": SessionBBean's call method called.");
        System.out.flush();
        // no need for sleep here; the deadlock occurs before this method is invoked.
    }
}
